Hide navigation sidebar
Hide table of contents sidebar
Skip to content
Back to top
View this page
Toggle table of contents sidebar

# BotName

class telegram.BotName(name, *, api_kwargs=None)

  Bases: `telegram.TelegramObject`

  This object represents the bot’s name.

  Objects of this class are comparable in terms of equality. Two objects of this class are considered equal, if their `name` is equal.

  Returned In

  `telegram.Bot.get_my_name()`

  Added in version 20.3.

  Parameters:

    name (`str`) – The bot’s name.

  name

    The bot’s name.

    Type:

      `str`

  MAX_LENGTH = 64

    `telegram.constants.BotNameLimit.MAX_NAME_LENGTH`